Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1808105 - cluster-etcd-operator needs to use updated version of library-go to have executable permissions for DR scripts
Summary: cluster-etcd-operator needs to use updated version of library-go to have exec...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Sam Batschelet
QA Contact: ge liu
URL:
Whiteboard:
Depends On:
Blocks: 1809151
TreeView+ depends on / blocked
 
Reported: 2020-02-27 19:55 UTC by Alay Patel
Modified: 2020-03-24 13:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Shell scripts were getting created without execute permission. The default file permissions do not include execute permission. Consequence: Shell scripts cannot be run without execute permission. Fix: Use latest library-go. Result: The shell scripts are created with execute permission.
Clone Of:
: 1809151 (view as bug list)
Environment:
Last Closed: 2020-03-13 19:59:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-etcd-operator pull 216 0 None closed [Bug 1808105]: bump(make sh files executable) 2020-04-21 12:14:05 UTC

Description Alay Patel 2020-02-27 19:55:00 UTC
cluster-etcd-operator will render the DR scripts to each node instead of MCO. The cluster-etcd-operator will need an updated version of library-go that allows installing the scripts with executable permissions.


Note You need to log in before you can comment on or make changes to this bug.